Bug 1016599 (CVE-2013-4411) - CVE-2013-4411 ReviewBoard: URL processing allows unauthorized users to view review lists
Summary: CVE-2013-4411 ReviewBoard: URL processing allows unauthorized users to view r...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2013-4411
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1017999 1018000
Blocks: 1016713
TreeView+ depends on / blocked
 
Reported: 2013-10-08 11:40 UTC by Stephen Gallagher
Modified: 2019-09-29 13:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:30:38 UTC


Attachments (Terms of Use)

Description Stephen Gallagher 2013-10-08 11:40:23 UTC
=== Summary ===
A flaw in the Review Board dashboard URL-processing logic makes it
possible for a user to construct a URL that would reveal review
requests for review groups to which the user does not belong.

=== Affected Deployments ===
All Review Board deployments are vulnerable to this flaw.

=== Scope ===
This flaw is only of particular risk to those deployments relying on
review groups to restrict access to private reviews, such as those
that may contain confidential intellectual property or provide
information about embargoed security issues.

This attack is possible to execute remotely through the Review Board
dashboard.

=== Resolution ===
Code was added to the URL handling to return a 404 (not found) error
when requesting reviews in groups to which the account does not belong.

=== Acknowledgements ===
Christian Hammond, lead upstream developer of Review Board is credited
with discovering and correcting this vulnerability.

=== Embargo Information ===
Upstream has coordinated with packagers of various distributions and cloud application vendors to lift the embargo on Thursday, October 8, 2013. This BZ should become public at that time.


Upstream has requested that Red Hat please coordinate the issuance of a CVE for this vulnerability.

Comment 1 Vincent Danen 2013-10-08 14:47:15 UTC
This is to be unembargoed on Thursday October 10th.

Comment 2 Murray McAllister 2013-10-10 23:52:59 UTC
Created ReviewBoard tracking bugs for this issue:

Affects: fedora-all [bug 1017999]
Affects: epel-6 [bug 1018000]

Comment 4 Fedora Update System 2013-10-29 03:39:48 UTC
ReviewBoard-1.7.16-2.fc19, python-djblets-0.7.21-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2013-10-29 03:43:33 UTC
ReviewBoard-1.7.16-2.fc18, python-djblets-0.7.21-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-11-01 21:09:31 UTC
python-djblets-0.7.21-1.el6, ReviewBoard-1.7.16-2.el6.1 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-11-10 06:46:30 UTC
ReviewBoard-1.7.16-2.fc20, python-djblets-0.7.21-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Product Security DevOps Team 2019-06-08 02:30:38 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.